import UIKit

// Copyright 2018 - Dave Lyon and Traboule Software

extension UIColor {

    var grayscale: UIColor {
        var hue: CGFloat = 0
        var saturation: CGFloat = 0
        var brightness: CGFloat = 0
        var alpha: CGFloat = 0

        if self.getHue(&hue, saturation: &saturation, brightness: &brightness, alpha: &alpha) {
            return UIColor(hue: hue, saturation: 0.3 * saturation, brightness: brightness / 2, alpha: alpha)
        }

        return self
    }

}
